com.independentsoft.exchange

## Class UserMailbox

- java.lang.Object
- - com.independentsoft.exchange.UserMailbox

-     public class UserMailbox
      extends java.lang.Object

  The Class UserMailbox.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserMailbox()` Initializes a new instance of the UserMailbox class.
    `UserMailbox(java.lang.String id)` Initializes a new instance of the UserMailbox class.
    `UserMailbox(java.lang.String id, boolean isArchive)` Initializes a new instance of the UserMailbox class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets the id.
    `boolean` | `isArchive()` Checks if is archive.
    `void` | `setAsArchive(boolean isArchive)` Sets the as archive.
    `void` | `setId(java.lang.String id)` Sets the id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserMailbox

          public UserMailbox()

      Initializes a new instance of the UserMailbox class.

    - #### UserMailbox

          public UserMailbox(java.lang.String id)

      Initializes a new instance of the UserMailbox class.
      Parameters:
        `id` - the id

    - #### UserMailbox

          public UserMailbox(java.lang.String id,
                             boolean isArchive)

      Initializes a new instance of the UserMailbox class.
      Parameters:
        `id` - the id
        `isArchive` - the is archive

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets the id.
      Parameters:
        `id` - the new id

    - #### isArchive

          public boolean isArchive()

      Checks if is archive.
      Returns:
        true, if is archive

    - #### setAsArchive

          public void setAsArchive(boolean isArchive)

      Sets the as archive.
      Parameters:
        `isArchive` - the new as archive